Subject: Re: [PATCH net-next 1/3] bnxt_en: Remove unneeded variable in bnxt_hwrm_clear_vnic_filter()

From: Simon Horman <[email-masked]>
Date: Mon, 8 Jan 2024 10:23:35 +0000

On Fri, Jan 05, 2024 at 03:54:37PM -0800, Michael Chan wrote:
> After recent refactoring, this function doesn't return error any
> more.  Remove the unneeded rc variable and change the function to
> void.  The caller is not checking for the return value.
> 
> Fixes: 96c9bedc755e ("bnxt_en: Refactor L2 filter alloc/free firmware commands.")
> Reported-by: kernel test robot <[email-masked]>
> Closes: https://lore.kernel.org/oe-kbuild-all/[email-masked]/
> Signed-off-by: Michael Chan <[email-masked]>

Hi Michael,

I'm not sure this is a bug fix, so I might have cited
the commit using something like "Introduced by commit ..."
rather than a Fixes tag.

But the fix isn't going to propagate very far anyway,
as the cited commit is currently only in net-next.
So perhaps it is fine as is.

In any case, I agree that this is a nice update to the code.

Reviewed-by: Simon Horman <[email-masked]>